# module Treetop::Compiler::Metagrammar::ModuleDeclaration5

### Public Instance Methods

compile() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 296
    def compile
      prefix.text_value + module_contents.compile + suffix.text_value
    end

parser_name() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 300
    def parser_name
      prefix.name.text_value+'::'+module_contents.parser_name
    end